jss (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: libjaxb-api-java is no longer needed, drop it from (build-
    )depends.
  * control: Drop obsolete breaks.
  * use-release-8.diff: Dropped.
  * install: Version number got dropped from the build, so fix the
    install.
  * control: Add Breaks for current versions of libtomcatjss-java,
    libldap-java and libidm-console-framework-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 22:17:45 +0300

jss (4.9.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump cmake build-dependency to 3.14.
  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Dropped,
    upstream.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Sep 2021 11:35:55 +0300

jss (4.8.0-2) unstable; urgency=medium

  * Disable-use-of-MD4-MD5-and-SHA-1-algorithms.patch: Fix tests with
    nss-3.59. (Closes: #975212)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Dec 2020 15:08:12 +0200

jss (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Build using libcommons-lang3-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 31 Oct 2020 19:16:32 +0200

jss (4.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Sep 2020 14:28:53 +0300

jss (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Aug 2020 13:36:28 +0300

jss (4.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Aug 2020 15:37:23 +0300

jss (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 11:27:48 +0300

jss (4.7.0~b4-2) unstable; urgency=medium

  * Release to sid. (LP: #963279)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jul 2020 14:34:26 +0300

jss (4.7.0~b4-1) experimental; urgency=medium

  * New upstream beta release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Jul 2020 07:02:35 +0300

jss (4.7.0~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * disable-kbkdf.diff: Dropped, we have nss 3.51 now.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 May 2020 23:34:40 +0300

jss (4.6.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #952328)
  * disable-kbkdf.diff: Disable KBKDF support until we have NSS 3.51.
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Feb 2020 13:30:49 +0200

jss (4.6.2-1) unstable; urgency=medium

  * New upstream release.
    - fix CVE-2019-14823 (Closes: #942463)
  * fix-bufferprfd.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Oct 2019 12:55:52 +0300

jss (4.6.1-3) unstable; urgency=medium

  * use-release-8.diff: Set --release=8.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Sep 2019 18:06:52 +0300

jss (4.6.1-2) unstable; urgency=medium

  * fix-bufferprfd.diff: Fix tests on big-endian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Sep 2019 07:13:43 +0300

jss (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Print test output on failure.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Sep 2019 23:47:49 +0300

jss (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.4.0.
  * control, compat: Bump debhelper to 12.
  * support-jdk8.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jul 2019 10:43:01 +0300

jss (4.5.3-2) experimental; urgency=medium

  * support-jdk8.diff: Build with -target/-source 1.8.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 21:05:34 +0300

jss (4.5.3-1) experimental; urgency=medium

  * New upstream release.
  * fix-jdk9-ftbfs.diff: Dropped, obsolete and not applied.
  * control: Add junit4 to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 18:20:35 +0300

jss (4.5.1-1) unstable; urgency=medium

  * New upstream release.
    - build against default-jdk. (Closes: #895643)
    - build system rewritten, add cmake, libjaxb-api-java, libnss3-tools,
      unzip, zip to build-depends, and libjaxb-api-java to depends
  * control: Bump policy to 4.2.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 18:13:59 +0200

jss (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add breaks on current libidm-console-framework-java and
    libldap-java.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Aug 2018 13:51:08 +0300

jss (4.5.0~a4-1) unstable; urgency=medium

  * New upstream prerelease.
  * fix-jdk9-ftbfs.diff: Updated, and disabled.
  * rules:
    - fix gentarball target
    - fix build for new source layout
    - override dh_auto_clean and dh_auto_test
  * watch: Updated.
  * control: Add libcommons-codec-java, libcommons-lang-java, libslf4j-
    java to build-depends.
  * rules: Create symlinks in dh_auto_install.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Aug 2018 11:11:14 +0300

jss (4.4.4-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to point to github.
  * control: Update homepage.
  * control: Update maintainer address.
  * Bump debhelper to 11.
  * links, install: Updated.
  * rules: Use dh.
  * rules: Add gentarball target.
  * README.source: Deleted, obsolete.
  * Bump policy to 4.1.4, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jun 2018 10:16:36 +0300

jss (4.4.3-1) unstable; urgency=medium

  * New upstream release.
    - jss-*.patch: Dropped, upstream
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 10:42:06 +0300

jss (4.4.2-6) unstable; urgency=medium

  * rules: Fix JAVA_HOME.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 15:35:35 +0300

jss (4.4.2-5) unstable; urgency=medium

  * control: Build with jdk8, dogtag-pki needs it.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 14:03:10 +0300

jss (4.4.2-4) unstable; urgency=medium

  * fix-jdk9-ftbfs.diff: Fix build with openjdk-9. (Closes: #893217)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Apr 2018 00:59:27 +0300

jss (4.4.2-3) unstable; urgency=medium

  * patches: Add three new patches from upstream for Dogtag.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2018 12:25:43 +0200

jss (4.4.2-2) unstable; urgency=medium

  * patches: Add six patches from Fedora for Dogtag.
  * control: Update git urls to point to pkg-freeipa.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 16:52:36 +0200

jss (4.4.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #875589)
  * patches: Drop all patches, everything upstream.
  * files, links, rules: Packaging changes for the new version.
  * control: Update the maintainer address to.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Sep 2017 21:44:04 +0300

jss (4.3.1-7) unstable; urgency=medium

  * Sync patches with fedora 4.2.6-42.
    - merge symkey
  * control: Bump policy to 3.9.8, no changes.
  * control: Use https for vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Aug 2016 14:05:48 +0300

jss (4.3.1-6) unstable; urgency=medium

  * jss-PBE-PKCS5-V2-secure-P12.patch: Bump NUM_ALGS. (Closes: #688472)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Nov 2014 15:48:14 +0200

jss (4.3.1-5) unstable; urgency=medium

  * control: Bump policy to 3.9.6.
  * Use debhelper 9.
  * jss-support-TLS1_1-TLS1_2.patch: Add support for TLSv1.1 and v1.2.
  * jss-RC4-strengh-verify.patch: Verify RC4 strength.
  * control: Update my email.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 13:14:31 +0300

jss (4.3.1-4) unstable; urgency=low

  [ Timo Aaltonen ]
  * Update pull_coreconf.patch and match Linux3.0* during clean.
  * rules:
    - Remove dist/ on clean.
    - Use openjdk-6 instead of gcj.
  * patches: Add a bunch of patches from Fedora.
  * control: Change the VCS header to point to the git repository.
  * compat: Bump to 8.
  * control: Build-depend on default-jdk.
  * control: Update the maintainer address.
  * control: Drop jre dependency per current java policy.
  * patches: More patches from Fedora.
  * rules: Install the library in /usr/lib/jss.
  * control: Bump standards to 3.9.3, no changes.
  * control: Update the uploaders field.
  * rules: Added build-arch and build-indep targets.
  * rules: Replace dh_clean -k with dh_prep.

  [ Ghe Rivero ]
  * Fixed JAVA_HOME default path

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 27 Jun 2012 18:00:53 +0200

jss (4.3.1-3) unstable; urgency=low

  * Update my email address

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 23:41:15 +0200

jss (4.3.1-2) unstable; urgency=low

  * Bump policy to 3.9.1
  * Update to quilt 3.0 source package

 -- Michele Baldessari <michele@pupazzo.org>  Sat, 04 Sep 2010 20:48:04 +0200

jss (4.3.1-1) unstable; urgency=low

  * New upstream
  * Bump policy to 3.8.3
  * Patch in coreconf build system for the time being
  * Add ${misc:Depends} as we depend on debhelper
  * Fix jar links to the right version

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 24 Jan 2010 23:36:55 +0100

jss (4.2.5-2) unstable; urgency=low

  * Bump to policy 3.8.0
  * debian/control:
     - Build-Depend on default-jdk-builddep instead of java-gcj-compat-dev
  * Add VCS-* fields
  * Fixed build-deps (added libnss3-dev and pkg-config)
  * Changed section to "java"

 -- Michele Baldessari <michele@pupazzo.org>  Wed, 22 Apr 2009 21:31:06 +0200

jss (4.2.5-1) unstable; urgency=low

  * Initial release (Closes: #474489)

 -- Michele Baldessari <michele@pupazzo.org>  Wed, 09 Apr 2008 16:09:59 +0200
